<?php
// $Id: format_currency.config.inc,v 1.1.2.5 2010/10/23 20:33:55 pobster Exp $

/**
 * @file
 * Configuration for the Format Currency project.
 *
 * NOTE: The 'name' and 'links' fields are NOT used - they're present for simply for information.
 */

/**
 * Holds configuration used for populating the currencies table.
 */
function format_currency_populate() {
  $currencies = array();

//  $currencies[] = array(
//    'code' => '',
//    'name' => '',
//    'links' => array(),
//    'symbol' => '',
//    'entity' => '',
//    'decimal_places' => 2,
//    'decimal' => '.',
//    'thousands' => ',',
//    'symbol_position' => FORMAT_CURRENCY_LEFT,
//  );

  $currencies[] = array(
    'code' => 'GBP',
    'name' => 'United Kingdom, Pounds',
    'links' => array(
      'http://www.xe.com/currency/gbp-british-pound',
      'http://www.gocurrency.com/countries/united_kingdom.htm',
      'http://en.wikipedia.org/wiki/Pound_sterling',
    ),
    'symbol' => '£',
    'entity' => '&pound;',
  );
  $currencies[] = array(
    'code' => 'EUR',
    'name' => 'Euro Member Countries, Euro',
    'links' => array(
      'http://www.xe.com/currency/eur-euro',
      'http://www.gocurrency.com/countries/euro.htm',
      'http://en.wikipedia.org/wiki/Euro',
    ),
    'symbol' => '€',
    'entity' => '&euro;',
  );
  $currencies[] = array(
    'code' => 'USD',
    'name' => 'United States of America, Dollars',
    'links' => array(
      'http://www.xe.com/currency/usd-us-dollar',
      'http://www.gocurrency.com/countries/united_states.htm',
      'http://en.wikipedia.org/wiki/United_States_dollar',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'AED',
    'name' => 'United Arab Emirates, Dirhams',
    'links' => array(
      'http://www.xe.com/currency/aed-emirati-dirham',
      'http://www.gocurrency.com/countries/uae.htm',
      'http://en.wikipedia.org/wiki/United_Arab_Emirates_dirham',
    ),
    'symbol' => 'د.إ',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'AFN',
    'name' => 'Afghanistan, Afghanis',
    'links' => array(
      'http://www.xe.com/currency/afn-afghan-afghani',
      'http://www.gocurrency.com/countries/afghanistan.htm',
      'http://en.wikipedia.org/wiki/Afghan_afghani',
    ),
    'symbol' => '؋',
    'entity' => '&#1547;',
  );
  $currencies[] = array(
    'code' => 'ALL',
    'name' => 'Albania, Leke',
    'links' => array(
      'http://www.xe.com/currency/all-albanian-lek',
      'http://en.wikipedia.org/wiki/Albanian_lek',
    ),
    'symbol' => 'Lek',
    'entity' => '&#76;&#101;&#107;',
  );
  $currencies[] = array(
    'code' => 'AMD',
    'name' => 'Armenia, Drams',
    'links' => array(
      'http://www.xe.com/currency/amd-armenian-dram',
      'http://www.gocurrency.com/countries/armenia.htm',
      'http://en.wikipedia.org/wiki/Armenian_dram',
    ),
    'symbol' => 'Դ',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'ANG',
    'name' => 'Netherlands Antilles, Guilders (also called Florins)',
    'links' => array(
      'http://www.xe.com/currency/ang-dutch-guilder',
      'http://en.wikipedia.org/wiki/Netherlands_Antillean_guilder',
    ),
    'symbol' => 'ƒ',
    'entity' => '&fnof;',
  );
  $currencies[] = array(
    'code' => 'AOA',
    'name' => 'Angola, Kwanza',
    'links' => array(
      'http://www.xe.com/currency/aoa-angolan-kwanza',
      'http://www.gocurrency.com/countries/angola.htm',
      '',
    ),
    'symbol' => 'Kzr.',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'ARS',
    'name' => 'Argentina, Pesos',
    'links' => array(
      'http://www.gocurrency.com/countries/argentina.htm',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'AUD',
    'name' => 'Australian Dollars',
    'links' => array(
      'http://www.gocurrency.com/countries/australia.htm',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'AWG',
    'name' => 'Aruba, Guilders (also called Florins)',
    'links' => array(
      'http://www.gocurrency.com/countries/aruba.htm',
    ),
    'symbol' => 'ƒ',
    'entity' => '&fnof;',
  );
  $currencies[] = array(
    'code' => 'AZN',
    'name' => 'Azerbaijan, New Manats',
    'links' => array(
      'http://www.xe.com/currency/azn-azerbaijani-new-manat',
      'http://www.gocurrency.com/countries/azerbaijan.htm',
      'http://en.wikipedia.org/wiki/Azerbaijani_manat',
    ),
    'symbol' => 'ман',
    'entity' => '&#1084;&#1072;&#1085;',
  );
  $currencies[] = array(
    'code' => 'BAM',
    'name' => 'Bosnia and Herzegovina, Convertible Marka',
    'links' => array(
      'http://www.gocurrency.com/countries/bosnia.htm',
    ),
    'symbol' => 'KM',
    'entity' => '&#75;&#77;',
  );
  $currencies[] = array(
    'code' => 'BBD',
    'name' => 'Barbados, Dollars',
    'links' => array(
      'http://www.gocurrency.com/countries/barbados.htm',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'BDT',
    'name' => 'Bangladesh, Taka',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'BGN',
    'name' => 'Bulgaria, Leva',
    'links' => array(
      'http://www.gocurrency.com/countries/bulgaria.htm',
    ),
    'symbol' => 'лв',
    'entity' => '&#1083;&#1074;',
  );
  $currencies[] = array(
    'code' => 'BHD',
    'name' => 'Bahrain, Dinars',
    'links' => array(
      'http://www.gocurrency.com/countries/bahrain.htm',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 3,
  );
  $currencies[] = array(
    'code' => 'BIF',
    'name' => 'Burundi, Francs',
    'links' => array(
      'http://www.gocurrency.com/countries/burundi.htm',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'BMD',
    'name' => 'Bermuda, Dollars',
    'links' => array(
      'http://www.gocurrency.com/countries/bermuda.htm',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'BND',
    'name' => 'Brunei Darussalam, Dollars',
    'links' => array(
      'http://www.gocurrency.com/countries/brunei.htm',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'BOB',
    'name' => 'Bolivia, Bolivianos',
    'links' => array(
      'http://www.gocurrency.com/countries/bolivia.htm',
    ),
    'symbol' => '$b',
    'entity' => '&#36;&#98;',
  );
  $currencies[] = array(
    'code' => 'BRL',
    'name' => 'Brazil, Brazil Real',
    'links' => array(
      'http://www.gocurrency.com/countries/brazil.htm',
    ),
    'symbol' => 'R$',
    'entity' => '&#82;&#36;',
  );
  $currencies[] = array(
    'code' => 'BSD',
    'name' => 'Bahamas, Dollars',
    'links' => array(
      'http://www.gocurrency.com/countries/bahamas.htm',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'BTN',
    'name' => 'Bhutan, Ngultrum',
    'links' => array(
      'http://www.xe.com/currency/btn-bhutanese-ngultrum',
      'http://www.gocurrency.com/countries/bhutan.htm',
      'http://en.wikipedia.org/wiki/Bhutanese_ngultrum',
    ),
    'symbol' => 'Nu.',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'BWP',
    'name' => 'Botswana, Pulas',
    'links' => array(
      'http://www.gocurrency.com/countries/botswana.htm',
    ),
    'symbol' => 'P',
    'entity' => '&#80;',
  );
  $currencies[] = array(
    'code' => 'BYR',
    'name' => 'Belarus, Rubles',
    'links' => array(
      'http://www.gocurrency.com/countries/belarus.htm',
    ),
    'symbol' => 'p.',
    'entity' => '&#112;&#46;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'BZD',
    'name' => 'Belize, Dollars',
    'links' => array(
      'http://www.gocurrency.com/countries/belize.htm',
    ),
    'symbol' => 'BZ$',
    'entity' => '&#66;&#90;&#36;',
  );
  $currencies[] = array(
    'code' => 'CAD',
    'name' => 'Canada, Dollars',
    'links' => array(
      'http://www.gocurrency.com/countries/canada.htm',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'CDF',
    'name' => 'Congo/Kinshasa, Congolese Francs',
    'links' => array(
      'http://www.gocurrency.com/countries/congo.htm',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'CHF',
    'name' => 'Switzerland, Francs',
    'symbol' => 'CHF',
    'entity' => '&#67;&#72;&#70;',
  );
  $currencies[] = array(
    'code' => 'CLP',
    'name' => 'Chile, Pesos',
    'links' => array(
      'http://www.gocurrency.com/countries/chile.htm',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'CNY',
    'name' => 'China, Yuan Renminbi',
    'links' => array(
      'http://www.xe.com/currency/cny-chinese-yuan-renminbi',
      'http://www.gocurrency.com/countries/china.htm',
      'http://en.wikipedia.org/wiki/¥',
    ),
    'symbol' => '¥',
    'entity' => '&yen;',
  );
  $currencies[] = array(
    'code' => 'COP',
    'name' => 'Colombia, Pesos',
    'links' => array(
      'http://www.gocurrency.com/countries/colombia.htm',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'CRC',
    'name' => 'Costa Rica, Colones',
    'links' => array(
      'http://www.gocurrency.com/countries/costa_rica.htm',
    ),
    'symbol' => '₡',
    'entity' => '&#8353;',
  );
  $currencies[] = array(
    'code' => 'CUP',
    'name' => 'Cuba, Pesos',
    'links' => array(
      'http://www.gocurrency.com/countries/cuba.htm',
    ),
    'symbol' => '₱',
    'entity' => '&#8369;',
  );
  $currencies[] = array(
    'code' => 'CVE',
    'name' => 'Cape Verde, Escudos',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'CYP',
    'name' => 'Cyprus, Pounds (expires 2008-Jan-31)',
    'links' => array(
      'http://www.gocurrency.com/countries/cyprus.htm',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'CZK',
    'name' => 'Czech Republic, Koruny',
    'symbol' => 'Kč',
    'entity' => '&#75;&#269;',
  );
  $currencies[] = array(
    'code' => 'DJF',
    'name' => 'Djibouti, Francs',
    'links' => array(
      'http://www.gocurrency.com/countries/djibouti.htm',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'DKK',
    'name' => 'Denmark, Kroner',
    'links' => array(
      'http://www.gocurrency.com/countries/denmark.htm',
    ),
    'symbol' => 'kr',
    'entity' => '&#107;&#114;',
  );
  $currencies[] = array(
    'code' => 'DOP',
    'name' => 'Dominican Republic, Pesos',
    'links' => array(
      'http://www.gocurrency.com/countries/dominican_republic.htm',
    ),
    'symbol' => 'RD$',
    'entity' => '&#82;&#68;&#36;',
  );
  $currencies[] = array(
    'code' => 'DZD',
    'name' => 'Algeria, Algeria Dinars',
    'links' => array(
      'http://www.gocurrency.com/countries/algeria.htm',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'EEK',
    'name' => 'Estonia, Krooni',
    'links' => array(
      'http://www.gocurrency.com/countries/estonia.htm',
    ),
    'symbol' => 'kr',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'EGP',
    'name' => 'Egypt, Pounds',
    'links' => array(
      'http://www.gocurrency.com/countries/egypt.htm',
    ),
    'symbol' => '£',
    'entity' => '&pound;',
  );
  $currencies[] = array(
    'code' => 'ERN',
    'name' => 'Eritrea, Nakfa',
    'links' => array(
      'http://www.gocurrency.com/countries/eritrea.htm',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'ETB',
    'name' => 'Ethiopia, Birr',
    'links' => array(
      'http://www.gocurrency.com/countries/ethiopia.htm',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'FJD',
    'name' => 'Fiji, Dollars',
    'links' => array(
      'http://www.gocurrency.com/countries/fiji.htm',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'FKP',
    'name' => 'Falkland Islands (Malvinas), Pounds',
    'links' => array(
      'http://www.gocurrency.com/countries/falkland_islands.htm',
    ),
    'symbol' => '£',
    'entity' => '&pound;',
  );
  $currencies[] = array(
    'code' => 'GEL',
    'name' => 'Georgia, Lari',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'GGP',
    'name' => 'Guernsey, Pounds',
    'symbol' => '£',
    'entity' => '&pound;',
  );
  $currencies[] = array(
    'code' => 'GHC',
    'name' => 'Ghana, Cedis',
    'links' => array(
      'http://www.gocurrency.com/countries/ghana.htm',
    ),
    'symbol' => '¢',
    'entity' => '&cent;',
  );
  $currencies[] = array(
    'code' => 'GIP',
    'name' => 'Gibraltar, Pounds',
    'symbol' => '£',
    'entity' => '&pound;',
  );
  $currencies[] = array(
    'code' => 'GMD',
    'name' => 'Gambia, Dalasi',
    'links' => array(
      'http://www.gocurrency.com/countries/gambia.htm',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'GNF',
    'name' => 'Guinea, Francs',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'GTQ',
    'name' => 'Guatemala, Quetzales',
    'symbol' => 'Q',
    'entity' => '&#81;',
  );
  $currencies[] = array(
    'code' => 'GYD',
    'name' => 'Guyana, Dollars',
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'HKD',
    'name' => 'Hong Kong, Dollars',
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'HNL',
    'name' => 'Honduras, Lempiras',
    'symbol' => 'L',
    'entity' => '&#76;',
  );
  $currencies[] = array(
    'code' => 'HRK',
    'name' => 'Croatia, Kuna',
    'links' => array(
      'http://www.gocurrency.com/countries/croatia.htm',
    ),
    'symbol' => 'kn',
    'entity' => '&#107;&#110;',
  );
  $currencies[] = array(
    'code' => 'HTG',
    'name' => 'Haiti, Gourdes',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'HUF',
    'name' => 'Hungary, Forint',
    'symbol' => 'Ft',
    'entity' => '&#70;&#116;',
  );
  $currencies[] = array(
    'code' => 'IDR',
    'name' => 'Indonesia, Rupiahs',
    'symbol' => 'Rp',
    'entity' => '&#82;&#112;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'ILS',
    'name' => 'Israel, New Shekels',
    'symbol' => '₪',
    'entity' => '&#8362;',
  );
  $currencies[] = array(
    'code' => 'IMP',
    'name' => 'Isle of Man, Pounds',
    'symbol' => '£',
    'entity' => '&pound;',
  );
  $currencies[] = array(
    'code' => 'INR',
    'name' => 'India, Rupees',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'IQD',
    'name' => 'Iraq, Dinars',
    'links' => array(
      'http://www.xe.com/currency/iqd-iraqi-dinar',
      'http://en.wikipedia.org/wiki/Iraqi_dinar',
    ),
    'symbol' => 'د.ع',
    'entity' => '',
    'decimal_places' => 3,
  );
  $currencies[] = array(
    'code' => 'IRR',
    'name' => 'Iran, Rials',
    'links' => array(
      'http://www.xe.com/currency/irr-iranian-rial',
      'http://www.gocurrency.com/countries/iran.htm',
      'http://en.wikipedia.org/wiki/Iranian_rial',
    ),
    'symbol' => '﷼',
    'entity' => '&#65020;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'ISK',
    'name' => 'Iceland, Kronur',
    'symbol' => 'kr',
    'entity' => '&#107;&#114;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'JEP',
    'name' => 'Jersey, Pounds',
    'symbol' => '£',
    'entity' => '&pound;',
  );
  $currencies[] = array(
    'code' => 'JMD',
    'name' => 'Jamaica, Dollars',
    'symbol' => 'J$',
    'entity' => '&#74;&#36;',
  );
  $currencies[] = array(
    'code' => 'JOD',
    'name' => 'Jordan, Dinars',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 3,
  );
  $currencies[] = array(
    'code' => 'JPY',
    'name' => 'Japan, Yen',
    'links' => array(
      'http://en.wikipedia.org/wiki/¥',
    ),
    'symbol' => '¥',
    'entity' => '&yen;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'KES',
    'name' => 'Kenya, Shillings',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'KGS',
    'name' => 'Kyrgyzstan, Soms',
    'symbol' => 'лв',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'KHR',
    'name' => 'Cambodia, Riels',
    'links' => array(
      'http://www.gocurrency.com/countries/cambodia.htm',
    ),
    'symbol' => '៛',
    'entity' => '&#6107;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'KMF',
    'name' => 'Comoros, Francs',
    'links' => array(
      'http://www.gocurrency.com/countries/comoros.htm',
    ),
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'KPW',
    'name' => 'Korea (North), Won',
    'symbol' => '₩',
    'entity' => '&#8361;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'KRW',
    'name' => 'Korea (South), Won',
    'symbol' => '₩',
    'entity' => '&#8361;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'KWD',
    'name' => 'Kuwait, Dinars',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 3,
  );
  $currencies[] = array(
    'code' => 'KYD',
    'name' => 'Cayman Islands, Dollars',
    'links' => array(
      'http://www.gocurrency.com/countries/cayman_islands.htm',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'KZT',
    'name' => 'Kazakhstan, Tenge',
    'links' => array(
      'http://en.wikipedia.org/wiki/Kazakhstani_tenge',
    ),
    'symbol' => 'лв',
    'entity' => '&#1083;&#1074;',
  );
  $currencies[] = array(
    'code' => 'LAK',
    'name' => 'Laos, Kips',
    'symbol' => '₭',
    'entity' => '&#8365;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'LBP',
    'name' => 'Lebanon, Pounds',
    'symbol' => '£',
    'entity' => '&pound;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'LKR',
    'name' => 'Sri Lanka, Rupees',
    'symbol' => '₨',
    'entity' => '&#8360;',
  );
  $currencies[] = array(
    'code' => 'LRD',
    'name' => 'Liberia, Dollars',
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'LSL',
    'name' => 'Lesotho, Maloti',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'LTL',
    'name' => 'Lithuania, Litai',
    'symbol' => 'Lt',
    'entity' => '&#76;&#116;',
  );
  $currencies[] = array(
    'code' => 'LVL',
    'name' => 'Latvia, Lati',
    'symbol' => 'Ls',
    'entity' => '&#76;&#115;',
  );
  $currencies[] = array(
    'code' => 'LYD',
    'name' => 'Libya, Dinars',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 3,
  );
  $currencies[] = array(
    'code' => 'MAD',
    'name' => 'Morocco, Dirhams',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'MDL',
    'name' => 'Moldova, Lei',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'MGA',
    'name' => 'Madagascar, Ariary',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'MKD',
    'name' => 'Macedonia, Denars',
    'links' => array(
      'http://www.xe.com/currency/mkd-macedonian-denar',
      'http://www.gocurrency.com/countries/macedonia.htm',
      'http://en.wikipedia.org/wiki/Macedonian_denar',
    ),
    'symbol' => 'ден',
    'entity' => '&#1076;&#1077;&#1085;',
  );
  $currencies[] = array(
    'code' => 'MMK',
    'name' => 'Myanmar (Burma), Kyats',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'MNT',
    'name' => 'Mongolia, Tugriks',
    'symbol' => '₮',
    'entity' => '&#8366;',
  );
  $currencies[] = array(
    'code' => 'MOP',
    'name' => 'Macau, Patacas',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 1,
  );
  $currencies[] = array(
    'code' => 'MRO',
    'name' => 'Mauritania, Ouguiyas',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'MTL',
    'name' => 'Malta, Liri (expires 2008-Jan-31)',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'MUR',
    'name' => 'Mauritius, Rupees',
    'symbol' => '₨',
    'entity' => '&#8360;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'MVR',
    'name' => 'Maldives (Maldive Islands), Rufiyaa',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'MWK',
    'name' => 'Malawi, Kwachas',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'MXN',
    'name' => 'Mexico, Pesos',
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'MYR',
    'name' => 'Malaysia, Ringgits',
    'symbol' => 'RM',
    'entity' => '&#82;&#77;',
  );
  $currencies[] = array(
    'code' => 'MZN',
    'name' => 'Mozambique, Meticais',
    'symbol' => 'MT',
    'entity' => '&#77;&#84;',
  );
  $currencies[] = array(
    'code' => 'NAD',
    'name' => 'Namibia, Dollars',
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'NGN',
    'name' => 'Nigeria, Nairas',
    'symbol' => '₦',
    'entity' => '&#8358;',
  );
  $currencies[] = array(
    'code' => 'NIO',
    'name' => 'Nicaragua, Cordobas',
    'symbol' => 'C$',
    'entity' => '&#67;&#36;',
  );
  $currencies[] = array(
    'code' => 'NOK',
    'name' => 'Norway, Krone',
    'symbol' => 'kr',
    'entity' => '&#107;&#114;',
  );
  $currencies[] = array(
    'code' => 'NPR',
    'name' => 'Nepal, Nepal Rupees',
    'symbol' => '₨',
    'entity' => '&#8360;',
  );
  $currencies[] = array(
    'code' => 'NZD',
    'name' => 'New Zealand, Dollars',
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'OMR',
    'name' => 'Oman, Rials',
    'symbol' => '﷼',
    'entity' => '&#65020;',
    'decimal_places' => 3,
  );
  $currencies[] = array(
    'code' => 'PAB',
    'name' => 'Panama, Balboa',
    'symbol' => 'B/.',
    'entity' => '&#66;&#47;&#46;',
  );
  $currencies[] = array(
    'code' => 'PEN',
    'name' => 'Peru, Nuevos Soles',
    'symbol' => 'S/.',
    'entity' => '&#83;&#47;&#46;',
  );
  $currencies[] = array(
    'code' => 'PGK',
    'name' => 'Papua New Guinea, Kina',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'PHP',
    'name' => 'Philippines, Pesos',
    'symbol' => 'Php',
    'entity' => '&#80;&#104;&#112;',
  );
  $currencies[] = array(
    'code' => 'PKR',
    'name' => 'Pakistan, Rupees',
    'symbol' => '₨',
    'entity' => '&#8360;',
  );
  $currencies[] = array(
    'code' => 'PLN',
    'name' => 'Poland, Zlotych',
    'symbol' => 'zł',
    'entity' => '&#122;&#322;',
  );
  $currencies[] = array(
    'code' => 'PYG',
    'name' => 'Paraguay, Guarani',
    'symbol' => 'Gs',
    'entity' => '&#71;&#115;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'QAR',
    'name' => 'Qatar, Rials',
    'symbol' => '﷼',
    'entity' => '&#65020;',
  );
  $currencies[] = array(
    'code' => 'RON',
    'name' => 'Romania, New Lei',
    'symbol' => 'lei',
    'entity' => '&#108;&#101;&#105;',
  );
  $currencies[] = array(
    'code' => 'RSD',
    'name' => 'Serbia, Dinars',
    'symbol' => 'Дин.',
    'entity' => '&#1044;&#1080;&#1085;&#46;',
  );
  $currencies[] = array(
    'code' => 'RUB',
    'name' => 'Russia, Rubles',
    'symbol' => 'руб',
    'entity' => '&#1088;&#1091;&#1073;',
  );
  $currencies[] = array(
    'code' => 'RWF',
    'name' => 'Rwanda, Rwanda Francs',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'SAR',
    'name' => 'Saudi Arabia, Riyals',
    'symbol' => '﷼',
    'entity' => '&#65020;',
  );
  $currencies[] = array(
    'code' => 'SBD',
    'name' => 'Solomon Islands, Dollars',
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'SCR',
    'name' => 'Seychelles, Rupees',
    'symbol' => '₨',
    'entity' => '&#8360;',
  );
  $currencies[] = array(
    'code' => 'SDG',
    'name' => 'Sudan, Pounds',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'SEK',
    'name' => 'Sweden, Kronor',
    'symbol' => 'kr',
    'entity' => '&#107;&#114;',
  );
  $currencies[] = array(
    'code' => 'SGD',
    'name' => 'Singapore, Dollars',
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'SHP',
    'name' => 'Saint Helena, Pounds',
    'symbol' => '£',
    'entity' => '&pound;',
  );
  $currencies[] = array(
    'code' => 'SLL',
    'name' => 'Sierra Leone, Leones',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'SOS',
    'name' => 'Somalia, Shillings',
    'symbol' => 'S',
    'entity' => '&#83;',
  );
  $currencies[] = array(
    'code' => 'SPL',
    'name' => 'Seborga, Luigini',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'SRD',
    'name' => 'Suriname, Dollars',
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'STD',
    'name' => 'São Tome and Principe, Dobras',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'SVC',
    'name' => 'El Salvador, Colones',
    'links' => array(
      'http://www.gocurrency.com/countries/el_salvador.htm',
    ),
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'SYP',
    'name' => 'Syria, Pounds',
    'symbol' => '£',
    'entity' => '&pound;',
  );
  $currencies[] = array(
    'code' => 'SZL',
    'name' => 'Swaziland, Emalangeni',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'THB',
    'name' => 'Thailand, Baht',
    'symbol' => '฿',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'TJS',
    'name' => 'Tajikistan, Somoni',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'TMM',
    'name' => 'Turkmenistan, Manats',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'TND',
    'name' => 'Tunisia, Dinars',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 3,
  );
  $currencies[] = array(
    'code' => 'TOP',
    'name' => "Tonga, Pa'anga",
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'TRY',
    'name' => 'Turkey, New Lira',
    'symbol' => 'TL',
    'entity' => '&#84;&#76;',
  );
  $currencies[] = array(
    'code' => 'TTD',
    'name' => 'Trinidad and Tobago, Dollars',
    'symbol' => 'TT$',
    'entity' => '&#84;&#84;&#36;',
  );
  $currencies[] = array(
    'code' => 'TVD',
    'name' => 'Tuvalu, Tuvalu Dollars',
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'TWD',
    'name' => 'Taiwan, New Dollars',
    'symbol' => 'NT$',
    'entity' => '&#78;&#84;&#36;',
    'decimal_places' => 1,
  );
  $currencies[] = array(
    'code' => 'TZS',
    'name' => 'Tanzania, Shillings',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'UAH',
    'name' => 'Ukraine, Hryvnia',
    'symbol' => '₴',
    'entity' => '&#8372;',
  );
  $currencies[] = array(
    'code' => 'UGX',
    'name' => 'Uganda, Shillings',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'UYU',
    'name' => 'Uruguay, Pesos',
    'symbol' => '$U',
    'entity' => '&#36;&#85;',
  );
  $currencies[] = array(
    'code' => 'UZS',
    'name' => 'Uzbekistan, Sums',
    'symbol' => 'лв',
    'entity' => '&#1083;&#1074;',
  );
  $currencies[] = array(
    'code' => 'VEB',
    'name' => 'Venezuela, Bolivares (expires 2008-Jun-30)',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'VEF',
    'name' => 'Venezuela, Bolivares Fuertes',
    'symbol' => 'Bs',
    'entity' => '&#66;&#115;',
  );
  $currencies[] = array(
    'code' => 'VND',
    'name' => 'Viet Nam, Dong',
    'symbol' => '₫',
    'entity' => '&#8363;',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'VUV',
    'name' => 'Vanuatu, Vatu',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'WST',
    'name' => 'Samoa, Tala',
    'symbol' => '',
    'entity' => '',
  );
  $currencies[] = array(
    'code' => 'XAF',
    'name' => 'Communauté Financière Africaine BEAC, Francs',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'XAG',
    'name' => 'Silver, Ounces',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'XAU',
    'name' => 'Gold, Ounces',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'XCD',
    'name' => 'East Caribbean Dollars',
    'links' => array(
      'http://www.gocurrency.com/countries/east_caribbean.htm',
    ),
    'symbol' => '$',
    'entity' => '&#36;',
  );
  $currencies[] = array(
    'code' => 'XDR',
    'name' => 'International Monetary Fund (IMF) Special Drawing Rights',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'XOF',
    'name' => 'Communauté Financière Africaine BCEAO, Francs',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'XPD',
    'name' => 'Palladium Ounces',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'XPF',
    'name' => 'Comptoirs Français du Pacifique Francs',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'XPT',
    'name' => 'Platinum, Ounces',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'YER',
    'name' => 'Yemen, Rials',
    'symbol' => '﷼',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'ZAR',
    'name' => 'South Africa, Rand',
    'symbol' => 'R',
    'entity' => '&#82;',
  );
  $currencies[] = array(
    'code' => 'ZMK',
    'name' => 'Zambia, Kwacha',
    'symbol' => '',
    'entity' => '',
    'decimal_places' => 0,
  );
  $currencies[] = array(
    'code' => 'ZWD',
    'name' => 'Zimbabwe, Zimbabwe Dollars',
    'symbol' => 'Z$',
    'entity' => 'Z&#36;',
  );

//  $currencies[] = array(
//    'code' => '',
//    'name' => '',
//    'links' => array(),
//    'symbol' => '',
//    'entity' => '',
//    'decimal_places' => 2,
//    'decimal' => '.',
//    'thousands' => ',',
//    'symbol_position' => FORMAT_CURRENCY_LEFT,
//  );

  return $currencies;
}